import Vue from "vue";
import VueRouter from "vue-router";
import system from "./system";

Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    name: "INDEX",
    redirect: "/login"
  },
  {
    path: "/login",
    name: "Login",
    component: () => import("../views/auth/Login.vue")
  },
  {
    path: "/map",
    name: "Map",
    component: () => import("../views/map/Map.vue")
  },
  {
    path: "/index",
    name: "Index",
    component: () => import("../views/layouts/AppLayout.vue"),
    children: [system]
  }
];

const router = new VueRouter({
  routes
});

export default router;
